<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8">
    <title>Developer View</title>

</head>
<body class="black">
<!--/*@thymesVar id="developer" type="com.pos_land.steam.domain.Developer"*/-->

<div th:include="fragments/header :: header"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1 th:text="${developer.getDeveloperName()}">Name of Developer</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <a href="#"
               th:href="@{'/developer/'+${developer.getId()} + '/update'}"
               class="btn btn-warning">Edit</a>
            <button onclick="document.getElementById('modal').style.display='block'"
                    class="btn btn-danger">Remove</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="table-responsive">
                <table class="table">
                    <thead class="thead-inverse">
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td th:text="${developer.getId()}"></td>
                        <td th:text="${developer.getDeveloperName()}"></td>
                        <div id="modal" class="modal">
                            <div class="modal-content">
                                <div class="container-popup">
                                    <h4>Do you really want to delete </h4>
                                    <a href="#"
                                       th:href="@{'/developer/'+${developer.getId()} + '/delete'}"
                                       class="btn btn-success">Confirm</a>
                                    <button type="button"
                                            onclick="document.getElementById('modal').style.display='none'"
                                            class="btn btn-danger">Cancel</button>
                                </div>
                            </div>
                        </div>
                        <td>
                            <ul>
                                <li th:each="game : ${developer.getGames()}" th:text="${game.getGameName()}">Game 1</li>
                            </ul>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="container-popup">
                <a class="btn btn-primary" href="#" th:href="@{'/developers'}">Back to Overview</a>
            </div>
        </div>
    </div>
</div>
</table>
</body>

<script src="../../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>